Bug 1269790 - appliance_console broken
appliance_console broken
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
urgent Severity high
: Beta 1
: 5.5.0
Assigned To: Nick Carboni
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 04:36 EDT by Milan Falešník
Modified: 2015-12-08 08:35 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:35:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Falešník 2015-10-08 04:36:59 EDT
Description of problem:

[root@localhost ~]# appliance_console
/var/www/miq/lib/appliance_console.rb:40:in `<main>': undefined method `alias_method' for main:Object (NoMethodError)


Version-Release number of selected component (if applicable):
5.5.0.4

How reproducible:
always

Steps to Reproduce:
1. Log in to a fresh appliance and try to run the console using appliance_console command

Actual results:
/var/www/miq/lib/appliance_console.rb:40:in `<main>': undefined method `alias_method' for main:Object (NoMethodError)

Expected results:
Console starts

Additional info:
Comment 2 Nick Carboni 2015-10-08 10:17:28 EDT
https://github.com/ManageIQ/manageiq/pull/4698
Comment 3 Milan Falešník 2015-10-26 05:49:29 EDT
appliance_console works again in 5.5.0.7
Comment 5 errata-xmlrpc 2015-12-08 08:35:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.